package cn.yyxx.commsdk.base.entity;

import java.util.Arrays;

/**
 * @author #Suyghur.
 * Created on 2021/12/25
 */
public class SdkChargeInfo {

    String game_no;
    String pay_money;
    String server_id;
    String server_name;
    String role_id;
    String role_level;
    String role_name;
    String ext;
    String order_desc;
    String sdk_params;

    int[] order_split;

    public String getSdk_params() {
        return this.sdk_params;
    }

    public void setSdk_params(final String sdk_params) {
        this.sdk_params = sdk_params;
    }



    public String getRoleCreateTime() {
        return this.roleCreateTime;
    }

    public void setRoleCreateTime(final String roleCreateTime) {
        this.roleCreateTime = roleCreateTime;
    }

    String roleCreateTime;

    public String getOrder_name() {
        return this.order_name;
    }

    public void setOrder_name(final String order_name) {
        this.order_name = order_name;
    }

    String order_name;
    String product_name;
    String product_id;
    String vip_level;
    String party_name;
    String count;


    String radio;
    String reincarnationCount;
    String hasGold;

    String party_id;


    public String getGame_no() {
        return this.game_no;
    }

    public void setGame_no(final String game_no) {
        this.game_no = game_no;
    }

    public String getPay_money() {
        return this.pay_money;
    }

    public void setPay_money(final String pay_money) {
        this.pay_money = pay_money;
    }

    public String getServer_id() {
        return this.server_id;
    }

    public void setServer_id(final String server_id) {
        this.server_id = server_id;
    }

    public String getServer_name() {
        return this.server_name;
    }

    public void setServer_name(final String server_name) {
        this.server_name = server_name;
    }

    public String getRole_id() {
        return this.role_id;
    }

    public void setRole_id(final String role_id) {
        this.role_id = role_id;
    }

    public String getRole_level() {
        return this.role_level;
    }

    public void setRole_level(final String role_level) {
        this.role_level = role_level;
    }

    public String getRole_name() {
        return this.role_name;
    }

    public void setRole_name(final String role_name) {
        this.role_name = role_name;
    }

    public String getExt() {
        return this.ext;
    }

    public void setExt(final String ext) {
        this.ext = ext;
    }

    public String getOrder_desc() {
        return this.order_desc;
    }

    public void setOrder_desc(final String order_desc) {
        this.order_desc = order_desc;
    }

    public String getProduct_name() {
        return this.product_name;
    }

    public void setProduct_name(final String product_name) {
        this.product_name = product_name;
    }

    public String getProduct_id() {
        return this.product_id;
    }

    public void setProduct_id(final String product_id) {
        this.product_id = product_id;
    }

    public String getVip_level() {
        return this.vip_level;
    }

    public void setVip_level(final String vip_level) {
        this.vip_level = vip_level;
    }

    public String getParty_name() {
        return this.party_name;
    }

    public void setParty_name(final String party_name) {
        this.party_name = party_name;
    }

    public String getCount() {
        return this.count;
    }

    public void setCount(final String count) {
        this.count = count;
    }

    public String getRadio() {
        return this.radio;
    }

    public void setRadio(final String radio) {
        this.radio = radio;
    }

    public String getReincarnationCount() {
        return this.reincarnationCount;
    }

    public void setReincarnationCount(final String reincarnationCount) {
        this.reincarnationCount = reincarnationCount;
    }

    public String getHasGold() {
        return this.hasGold;
    }

    public void setHasGold(final String hasGold) {
        this.hasGold = hasGold;
    }


    public String getParty_id() {
        return this.party_id;
    }

    public void setParty_id(final String party_id) {
        this.party_id = party_id;
    }

    @Override
    public String toString() {
        return "SdkChargeInfo{" +
                "game_no='" + game_no + '\'' +
                ", pay_money='" + pay_money + '\'' +
                ", server_id='" + server_id + '\'' +
                ", server_name='" + server_name + '\'' +
                ", role_id='" + role_id + '\'' +
                ", role_level='" + role_level + '\'' +
                ", role_name='" + role_name + '\'' +
                ", ext='" + ext + '\'' +
                ", order_desc='" + order_desc + '\'' +
                ", sdk_params='" + sdk_params + '\'' +
                ", order_split=" + Arrays.toString(order_split) +
                ", roleCreateTime='" + roleCreateTime + '\'' +
                ", order_name='" + order_name + '\'' +
                ", product_name='" + product_name + '\'' +
                ", product_id='" + product_id + '\'' +
                ", vip_level='" + vip_level + '\'' +
                ", party_name='" + party_name + '\'' +
                ", count='" + count + '\'' +
                ", radio='" + radio + '\'' +
                ", reincarnationCount='" + reincarnationCount + '\'' +
                ", hasGold='" + hasGold + '\'' +
                ", party_id='" + party_id + '\'' +
                '}';
    }
}
